com.pivotal.gemfirexd.internal.client.am

## Interface MaterialPreparedStatement

All Superinterfaces:
  MaterialStatement

All Known Implementing Classes:
  NetCallableStatement, NetPreparedStatement

    public interface MaterialPreparedStatement
    extends MaterialStatement

### Method Summary

Methods
`void` `readDescribeInput_()`
`void` `readDescribeOutput_()`
`void` `readExecute_()`
`void` `writeDescribeInput_(Section section)`
`void` `writeDescribeOutput_(Section section)`
`void` `writeExecute_(Section section, ColumnMetaData parameterMetaData, Object[] inputs, int numInputColumns, boolean outputExpected, boolean chainedWritesFollowingSetLob)`
`void` `writeExecute_(Section section, ColumnMetaData parameterMetaData, Object[] inputs, int numInputColumns, boolean outputExpected, boolean batchOutput, boolean chainedWritesFollowingSetLob)`
`void` `writeOpenQuery_(Section section, int fetchSize, int resultSetType, int numInputColumns, ColumnMetaData parameterMetaData, Object[] inputs)`

### Methods inherited from interface com.pivotal.gemfirexd.internal.client.am.MaterialStatement

`markClosedOnServer_, readExecuteCall_, readExecuteImmediate_, readExecuteImmediateForBatch_, readOpenQuery_, readPrepare_, readPrepareDescribeOutput_, readSetSpecialRegister_, readStatementID_, reset_, writeExecuteCall_, writeExecuteImmediate_, writeGetStmtUUID, writeOpenQuery_, writePrepare_, writePrepareDescribeOutput_, writeSetSpecialRegister_`

### Method Detail

#### writeExecute_

    void writeExecute_(Section section,
                     ColumnMetaData parameterMetaData,
                     Object[] inputs,
                     int numInputColumns,
                     boolean outputExpected,
                     boolean chainedWritesFollowingSetLob)
                       throws SqlException

Throws:
  `SqlException`

#### writeExecute_

    void writeExecute_(Section section,
                     ColumnMetaData parameterMetaData,
                     Object[] inputs,
                     int numInputColumns,
                     boolean outputExpected,
                     boolean batchOutput,
                     boolean chainedWritesFollowingSetLob)
                       throws SqlException

Throws:
  `SqlException`

#### readExecute_

    void readExecute_()
                      throws SqlException

Throws:
  `SqlException`

#### writeOpenQuery_

    void writeOpenQuery_(Section section,
                       int fetchSize,
                       int resultSetType,
                       int numInputColumns,
                       ColumnMetaData parameterMetaData,
                       Object[] inputs)
                         throws SqlException

Throws:
  `SqlException`

#### writeDescribeInput_

    void writeDescribeInput_(Section section)
                             throws SqlException

Throws:
  `SqlException`

#### readDescribeInput_

    void readDescribeInput_()
                            throws SqlException

Throws:
  `SqlException`

#### writeDescribeOutput_

    void writeDescribeOutput_(Section section)
                              throws SqlException

Throws:
  `SqlException`

#### readDescribeOutput_

    void readDescribeOutput_()
                             throws SqlException

Throws:
  `SqlException`